Subject: Re: bug#33844: Rename ghc-pandoc to pandoc

From: Ricardo Wurmus <[email-masked]>
Date: Wed, 09 Sep 2020 18:11:38 +0200

zimoun <[email-masked]> writes:

> Hi,
>
> On Wed, 26 Feb 2020 at 12:57, Ricardo Wurmus <[email-masked]> wrote:
>
>> We should also rename all uses of ghc-pandoc in the same patch.
>
> Commit d4e4a3824d380e576b56a74aa714db205fcc59a4 adds pandoc.
>
> The packages:
>
>  - ruby-pandoc-ruby
>  - rapicorn
>  - ganeti
>  - manuskript
>  - emacs-org-web-tools
>  - emacs-ox-pandoc
>
> do not use pandoc instead of ghc-pandoc; I do not know if it matters or
> if they need to also switch.  More all Haskell packages in
> haskell-xyz.scm.

If these packages only use the “pandoc” executable they should use the
“pandoc” package instead of “ghc-pandoc”.  “ghc-pandoc” is only meant
for Haskell packages that use Pandoc as a library.  This is a much rarer
case, so we can assume that most packages should use “pandoc” instead of
“ghc-pandoc”.

-- 
Ricardo